# Code for Figures S5a in
# Potential pension fund losses should not deter high-income countries from bold climate action
# https://doi.org/10.1016/j.joule.2023.05.023
# by Gregor Semieniuk, Lucas Chancel and Eulalie Saïsset

# load packages
library(tidyverse)
library(viridis)
options(scipen=999)

# set your working directory
setwd( "YOUR DIRECTORY" )

# load data
figa <- read_csv("figureS5a_data.csv")
figa<-figa[rev(rownames(figa)),]

pdf("figures/figure_s5a_zenodo.pdf",17.2/2.54,17.2*3.2/6/2.54/1.5)
#layout(matrix(c(1,1,1,1,2,3,4,5),nrow = 4, ncol = 2, byrow = TRUE))
par(mar=c(3.7,5.7,1.7,.75),xpd=T)
barplot(as.matrix(figa[,2:3]),horiz = T,beside=F,col=viridis(4),xlim=c(0,350), names.arg = c("",""), cex.axis = 0.9)
mtext("Distributional\nNational\nAccounts (WID)", side = 2, las = 2, padj = -.4, line = 0.25, cex = 0.9)
mtext("Distributional\nFinancial\nAccounts (FED)", side = 2, las = 2, padj = 1.4, line = 0.25, cex = 0.9)
mtext("a",font=2, side = 3, adj=-.16,lin=.5,cex=0.95)
#text(x=corn[1]+.01,y=corn[4]-.01,"a",font=2)
legend(25,3,legend = c("Bottom 50%","Middle 40%","Next 9%","Top 1%"),ncol = 4,
       pch=15, lty=0, col=viridis(4)[1:4], bty="n",pt.cex=rep(2,4),x.intersp=0.9, cex = 0.9) 
mtext("USD billion",side =1, line =2.7,0.9)
dev.off()

